## python-dcos 0.2.0

=== Makefile ===
all: env test packages

clean:
	bin/clean.sh

env:
	bin/env.sh

test: env
	bin/test.sh

doc: env
	bin/doc.sh

packages: env
	bin/packages.sh

=== requirements.txt ===
sphinx>=1.3.1, <2.0
tox>=1.9.2, <2.0
wheel>=0.24.0, <1.0

=== cli/requirements.txt ===
sphinx>=1.3.1, <2.0
tox>=1.9.2, <2.0
wheel>=0.24.0, <1.0
-e .. # Install the DCOS package

=== debian/changelog ===
python-dcos (0.2.0-2) unstable; urgency=medium

  * Added missing build-depends: python{3,}-pytest (Closes: #811105).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Jan 2016 14:59:31 +0800

python-dcos (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #809996)

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2016 17:27:51 +0800

=== debian/control ===
Source: python-dcos
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-concurrent.futures,
                     python-git,
                     python-jsonschema,
                     python-pager,
                     python-portalocker,
                     python-prettytable,
                     python-pygments,
                     python-pystache,
                     python-pytest,
                     python-requests,
                     python-six (>= 1.9),
                     python-toml,
                     python3-git,
                     python3-jsonschema,
                     python3-pager,
                     python3-portalocker,
                     python3-prettytable,
                     python3-pygments,
                     python3-pystache,
                     python3-pytest,
                     python3-requests,
                     python3-six (>= 1.9),
                     python3-toml,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-dcos.git
Vcs-Git: git://anonscm.debian.org/openstack/python-dcos.git
Homepage: https://github.com/mesosphere/dcos-cli

Package: python-dcos
Architecture: all
Depends: python-concurrent.futures,
         python-git,
         python-jsonschema,
         python-pager,
         python-portalocker,
         python-prettytable,
         python-pygments,
         python-pystache,
         python-requests,
         python-six (>= 1.9),
         python-toml,
         ${misc:Depends},
         ${python:Depends},
Description: Datacenter Operating System (DCOS) CLI - Python 2.7
 The DCOS Command Line Interface (CLI) is a command line utility that provides
 a user-friendly yet powerful way to manage DCOS installations. You can use the
 Mesosphere DCOS command-line interface (CLI) to remotely manage your cluster,
 install software packages, and inspect the cluster state. With the DCOS CLI
 you can:
  * Find and install packages from DCOS Universe and Multiverse.
  * Uninstall DCOS services.
  * Administer the DCOS init process, Marathon.
  * Install and uninstall subcommands that extend and add functionality to the
    DCOS CLI.
 .
 After you install the CLI, you can use it through a bash shell on Unix/Linux
 systems or PowerShell on a Windows system.
 .
 This package contains the Python 2.7 module.

Package: python3-dcos
Architecture: all
Depends: python3-git,
         python3-jsonschema,
         python3-pager,
         python3-portalocker,
         python3-prettytable,
         python3-pygments,
         python3-pystache,
         python3-requests,
         python3-six (>= 1.9),
         python3-toml,
         ${misc:Depends},
         ${python3:Depends},
Description: DCOS Common Modules - Python 3.x
 The DCOS Command Line Interface (CLI) is a command line utility that provides
 a user-friendly yet powerful way to manage DCOS installations. You can use the
 Mesosphere DCOS command-line interface (CLI) to remotely manage your cluster,
 install software packages, and inspect the cluster state. With the DCOS CLI
 you can:
  * Find and install packages from DCOS Universe and Multiverse.
  * Uninstall DCOS services.
  * Administer the DCOS init process, Marathon.
  * Install and uninstall subcommands that extend and add functionality to the
    DCOS CLI.
 .
 After you install the CLI, you can use it through a bash shell on Unix/Linux
 systems or PowerShell on a Windows system.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/mesosphere/dcos-cli.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-dcos; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-dcos; \
	done
	rm -rf $(CURDIR)/debian/python*-dcos/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers -m pytest -p no:cacheprovider tests ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/mesosphere/dcos-cli/tags .*/(\d[\d\.]+)\.tar\.gz
